HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetCustomersCustomerBankAccounts

Contains the different functions to run the operation getCustomersCustomerBankAccounts

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetCustomersCustomerBankAccounts.hs
valuegetCustomersCustomerBankAccounts
  1. :: MonadHTTP m
  2. => GetCustomersCustomerBankAccountsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetCustomersCustomerBankAccountsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/customers/{customer}/bank_accounts

<p>You can see a list of the bank accounts belonging to a Customer. Note that the 10 most recent sources are always available by default on the Customer. If you need more than those 10, you can use this API method and the <code>limit</code> and <code>starting_after</code> parameters to page through additional bank accounts.</p>

Defines the object schema located at paths./v1/customers/{customer}/bank_accounts.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getCustomersCustomerBankAccounts.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetCustomersCustomerBankAccountsResponseError is used.

Instances2Eq, Show

Defines the object schema located at paths./v1/customers/{customer}/bank_accounts.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON